{% extends "base.html" %} {% block content %}
<h1>Sign Up Here</h1>
<form action="" method="post" class="px-4 py-3">
  {{ form.hidden_tag() }}

  {{ form.username.label(class="form-control-label mt-3") }}<br />

  {% if form.username.errors %}
  {{ form.username(class="form-control form-control-lg is-invalid col-md-7") }}
  <div class="invalid-feedback">
    {% for error in form.username.errors %}
    <span class="" style="color: red;">{{ error }}</span> {% endfor %}
  </div>
  {% else %}
  {{ form.username(class="form-control form-control-lg col-md-7") }} {% endif %}

  {{ form.email.label(class="form-control-label mt-3") }}<br />

  {% if form.email.errors %}
  {{ form.email(class="form-control form-control-lg is-invalid col-md-7") }}
  <div class="invalid-feedback">
    {% for error in form.email.errors %}
    <span class="" style="color: red;">{{ error }}</span> {% endfor %}
  </div>
  {% else %} {{ form.email(class="form-control form-control-lg col-md-7") }} {%
  endif %}

  {{ form.password.label(class="form-control-label mt-3") }}<br />

  {% if form.password.errors %}
  {{ form.password(class="form-control form-control-lg is-invalid col-md-7") }}
  <div class="invalid-feedback">
    {% for error in form.password.errors %}
    <span class="" style="color: red;">{{ error }}</span> {% endfor %}
  </div>
  {% else %}
  {{ form.password(class="form-control form-control-lg col-md-7") }} {% endif %}

  {{ form.password2.label(class="form-control-label mt-3") }}<br />
  {% if form.password.errors %}
  {{ form.password2(class="form-control form-control-lg is-invalid col-md-7") }}
  <div class="invalid-feedback">
    {% for error in form.password2.errors %}
    <span class="" style="color: red;">{{ error }}</span> {% endfor %}
  </div>
  {% else %}
  {{ form.password2(class="form-control form-control-lg col-md-7") }} {% endif
  %}

  <div class="form-group mt-5">
    {{ form.submit(class="btn btn-outline-info") }}
  </div>
</form>
{% endblock %}
